<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">false</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.session">var.session</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.setAllVariablesAsTransformerParams">true</Property>
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;body>&lt;query>&lt;visibility>user&lt;/visibility>&lt;description/>&lt;filters>&lt;filter>&lt;key>displayName&lt;/key>&lt;operator>=&lt;/operator>&lt;value>Zoo&lt;/value>&lt;/filter>&lt;filter>&lt;key>createdByUserDisplayName&lt;/key>&lt;operator>=&lt;/operator>&lt;value>BPC Administrator&lt;/value>&lt;/filter>&lt;/filters>&lt;/query>&lt;/body></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISCurrentTime">1509527883558</Property>
		<Property name="ISWorkflowName">VAM_am_063_hooking</Property>
		<Property name="ISModuleName">VAM_am_assign</Property>
		<Property name="ISModuleId">3</Property>
		<Property name="ISProcessId">3371896</Property>
		<Property name="ISUserName">VAM</Property>
		<Property name="ISServerName">dev04.virtimo.net</Property>
		<Property name="ISGlobalProcessId">3371896</Property>
		<Property name="ISInvokingWorkflow">VAM_am_060_query</Property>
		<Property name="ISInvokingModule">VAM_am_wfc_055_createQuery</Property>
		<Property name="log" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;log>&lt;entries/>&lt;/log></Property>
		<Property name="query" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;query>&lt;visibility>user&lt;/visibility>&lt;description>ck&lt;/description>&lt;filters>&lt;filter>&lt;key>displayName&lt;/key>&lt;operator>=&lt;/operator>&lt;value>Zoo&lt;/value>&lt;/filter>&lt;filter>&lt;key>createdByUserDisplayName&lt;/key>&lt;operator>=&lt;/operator>&lt;value>BPC Administrator&lt;/value>&lt;/filter>&lt;/filters>&lt;/query></Property>
		<Property name="ISXMLValidatorError">false</Property>
		<Property name="ISXMLValidatorErrorString"></Property>
		<Property name="var.session" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;session>&lt;request>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>create&lt;/method>&lt;parameters>&lt;query>&lt;visibility>user&lt;/visibility>&lt;description>ck&lt;/description>&lt;filters>&lt;filter>&lt;key>displayName&lt;/key>&lt;operator>=&lt;/operator>&lt;value>Zoo&lt;/value>&lt;/filter>&lt;filter>&lt;key>createdByUserDisplayName&lt;/key>&lt;operator>=&lt;/operator>&lt;value>BPC Administrator&lt;/value>&lt;/filter>&lt;/filters>&lt;/query>&lt;return>true&lt;/return>&lt;/parameters>&lt;withUser>false&lt;/withUser>&lt;startTimestamp>1509527883540&lt;/startTimestamp>&lt;/request>&lt;configuration>&lt;api xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">&lt;database>&lt;type>mssql&lt;/type>&lt;default>&lt;alertTimeout>20&lt;/alertTimeout>&lt;queryTimeout>60&lt;/queryTimeout>&lt;/default>&lt;/database>&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;response>&lt;debuggingInformation>false&lt;/debuggingInformation>&lt;format>false&lt;/format>&lt;validate>true&lt;/validate>&lt;/response>&lt;user>&lt;maxAge>P0DT2H0M5S&lt;/maxAge>&lt;/user>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;alerting>&lt;recipient>&lt;eMailAddress>kaufhold@virtimo.de &lt;/eMailAddress>&lt;/recipient>&lt;mail>&lt;host>smtp.googlemail.com&lt;/host>&lt;sender>&lt;eMailAddress>jochen@virtimo.net &lt;/eMailAddress>&lt;/sender>&lt;debuggingInformation>true&lt;/debuggingInformation>&lt;/mail>&lt;/alerting>&lt;backend>&lt;imnot>&lt;url>https://localhost:7080/im/1/rest/&lt;/url>&lt;/imnot>&lt;bpc>&lt;url>http://localhost:8181/cxf/bpc-core/authentication&lt;/url>&lt;/bpc>&lt;/backend>&lt;/api>&lt;am xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;/am>&lt;userGroupName>VAM&lt;/userGroupName>&lt;/configuration>&lt;user>&lt;id>bpcadmin&lt;/id>&lt;displayName>BPC Administrator&lt;/displayName>&lt;loginName>bpcadmin&lt;/loginName>&lt;name>BPC Administrator&lt;/name>&lt;eMailAddress/>&lt;active>true&lt;/active>&lt;locale>de_DE&lt;/locale>&lt;language>de&lt;/language>&lt;country>DE&lt;/country>&lt;roles>&lt;role>VAM-administrator&lt;/role>&lt;role>Power User&lt;/role>&lt;role>VAM_organization_showcase&lt;/role>&lt;role>VAM_organization_PF&lt;/role>&lt;role>User&lt;/role>&lt;role>bpcadmin&lt;/role>&lt;role>bpcAdmin&lt;/role>&lt;role>bpcUser&lt;/role>&lt;/roles>&lt;permissions>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>setImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>getConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setName&lt;/method>&lt;/permission>&lt;/permissions>&lt;organizations>&lt;organization>&lt;id>cktest&lt;/id>&lt;displayName>cktest&lt;/displayName>&lt;name/>&lt;configuration/>&lt;active>true&lt;/active>&lt;/organization>&lt;/organizations>&lt;/user>&lt;/session></Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:isxp="java:com.inubit.ibis.xsltext.ISFunctions" xmlns:am="http://www.bosch-si.com/2013/AM" exclude-result-prefixes="#all" version="2.0">  
  &lt;xsl:import href="inubitmodule://VAM_api_XSLT_Tools"/>
  &lt;xsl:output method="xml" encoding="UTF-8"/>
  &lt;xsl:param name="var.session" as="element()"/>

  &lt;xsl:template match="/"> 
    &lt;xsl:variable name="currentDateTime" select="am:currentDateTimeForDB()"/>
    &lt;queries>&lt;xsl:variable name="var.queries" as="element()*">&lt;query properties="force" queryID="query">&lt;value>&lt;xsl:text>  insert into queries (
    organizationId,
    id,
    displayName,
    visibility,
    description,
    filters,
    createdOn,
    createdByUserId,
    lastUpdatedOn,
    lastUpdatedByUserId,
    ctxDummy
  ) values (
    &lt;/xsl:text>&lt;xsl:value-of select="am:stringToDB($var.session/user/organizations/organization/id), am:comma()"/>&lt;xsl:value-of select="am:nextID('queries_seq'), am:comma()"/>&lt;xsl:variable name="var.displayName" select="/body/query/description"/>&lt;xsl:value-of select="if ($var.displayName !='') then am:stringToDB($var.displayName) else am:concatSQLStrings((am:stringToDB('Query '), am:newIDValue('queries_seq')))"/>&lt;xsl:value-of select="am:comma()"/>&lt;xsl:choose>
      &lt;xsl:when test="/body/query//visibility/text() = 'organization'">
        'o',
      &lt;/xsl:when>
      &lt;xsl:when test="/body/query//visibility/text() = 'system'">
        's',
      &lt;/xsl:when>
      &lt;xsl:when test="/body/query//visibility/text() = 'user'">
        'u',
      &lt;/xsl:when>
    &lt;/xsl:choose>&lt;xsl:value-of select="am:stringToDB(/body/query/description), am:comma()"/>&lt;xsl:value-of select="am:nodeToDB(/body/query/filters), am:comma()">
      
    &lt;/xsl:value-of>&lt;xsl:value-of select="am:timestampToDB($currentDateTime), am:comma()"/>&lt;xsl:value-of select="am:stringToDB($var.session/user/id), am:comma()"/>&lt;xsl:value-of select="am:timestampToDB($currentDateTime), am:comma()"/>&lt;xsl:value-of select="am:stringToDB($var.session/user/id), am:comma()"/>&lt;xsl:text>' ')&lt;/xsl:text>&lt;/value> 
         
      &lt;/query>&lt;/xsl:variable>&lt;xsl:sequence select="am:queriesForCreate('queries_seq', $var.queries)"/> 
       
       
    &lt;/queries> 
  &lt;/xsl:template> 
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
</Properties>